Patchwork [Lucid,LBM,SRU,pull-request] UBUNTU: Add compat-wireless-2.6.37

login
register
mail settings
Submitter Leann Ogasawara
Date Nov. 10, 2010, 9:03 p.m.
Message ID <1289422999.11875.3143.camel@emiko>
Download mbox
Permalink /patch/70690/
State Accepted
Delegated to: Tim Gardner
Headers show

Pull-request

git://kernel.ubuntu.com/ogasawara/ubuntu-lucid-lbm.git compat-wireless-2.6.37

Comments

Leann Ogasawara - Nov. 10, 2010, 9:03 p.m.
SRU Justification:

As part of the linux-backports-modules package, we periodically provide
an updated compat-wireless stack. linux-backports-modules already has
pending pull requests to add the 2.6.36 compat-wireless stack to both
Lucid and Maverick LBM. It's come to our attention that future requests
for newer versions of the compat-wireless stack will be coming down the
pipeline. In preparation, add infrastructure to start tracking the
2.6.37 compat-wireless stack for Lucid.

Impact:
There is no impact at the moment as we're just adding the infrastructure
to enable the 2.6.37 compat-wireless stack. We will wait to actually
enable and build it until 2.6.37 is final. However, once we do enable
this, linux-backports-modules is an elective install and a 2.6.37
compat-wireless update hasn't existed previously, so there should be no
risk of regression.

Test Case: Flip the bit to build the compat-wireless-2.6.37 stack in the
linux-backports-modules package and confirm that a 2.6.37
compat-wireless binary is created.

I'd like to note that I've generated this on top of the previously
submitted pull request from myself which adds support for the
2.6.36 compat-wireless stack to Lucid LBM [1].

Thanks,
Leann

[1] https://lists.ubuntu.com/archives/kernel-team/2010-November/013351.html

The following changes since commit f0721f5a15503921a56b05c2d5b22738e09939f8:

  UBUNTU: Add compat-wireless-2.6.36 (2010-11-08 11:53:52 -0800)

are available in the git repository at:
  git://kernel.ubuntu.com/ogasawara/ubuntu-lucid-lbm.git compat-wireless-2.6.37

Leann Ogasawara (1):
      UBUNTU: Add compat-wireless-2.6.37
Stefan Bader - Nov. 12, 2010, 8:25 a.m.
On 11/10/2010 10:03 PM, Leann Ogasawara wrote:
> SRU Justification:
> 
> As part of the linux-backports-modules package, we periodically provide
> an updated compat-wireless stack. linux-backports-modules already has
> pending pull requests to add the 2.6.36 compat-wireless stack to both
> Lucid and Maverick LBM. It's come to our attention that future requests
> for newer versions of the compat-wireless stack will be coming down the
> pipeline. In preparation, add infrastructure to start tracking the
> 2.6.37 compat-wireless stack for Lucid.
> 
> Impact:
> There is no impact at the moment as we're just adding the infrastructure
> to enable the 2.6.37 compat-wireless stack. We will wait to actually
> enable and build it until 2.6.37 is final. However, once we do enable
> this, linux-backports-modules is an elective install and a 2.6.37
> compat-wireless update hasn't existed previously, so there should be no
> risk of regression.
> 
> Test Case: Flip the bit to build the compat-wireless-2.6.37 stack in the
> linux-backports-modules package and confirm that a 2.6.37
> compat-wireless binary is created.
> 
> I'd like to note that I've generated this on top of the previously
> submitted pull request from myself which adds support for the
> 2.6.36 compat-wireless stack to Lucid LBM [1].
> 
> Thanks,
> Leann
> 
> [1] https://lists.ubuntu.com/archives/kernel-team/2010-November/013351.html
> 
> The following changes since commit f0721f5a15503921a56b05c2d5b22738e09939f8:
> 
>   UBUNTU: Add compat-wireless-2.6.36 (2010-11-08 11:53:52 -0800)
> 
> are available in the git repository at:
>   git://kernel.ubuntu.com/ogasawara/ubuntu-lucid-lbm.git compat-wireless-2.6.37
> 
> Leann Ogasawara (1):
>       UBUNTU: Add compat-wireless-2.6.37
> 
> 
Can see no harm to add that. ACK

-Stefan
Tim Gardner - Nov. 17, 2010, 1:15 a.m.
On 11/10/2010 02:03 PM, Leann Ogasawara wrote:
> SRU Justification:
>
> As part of the linux-backports-modules package, we periodically provide
> an updated compat-wireless stack. linux-backports-modules already has
> pending pull requests to add the 2.6.36 compat-wireless stack to both
> Lucid and Maverick LBM. It's come to our attention that future requests
> for newer versions of the compat-wireless stack will be coming down the
> pipeline. In preparation, add infrastructure to start tracking the
> 2.6.37 compat-wireless stack for Lucid.
>
> Impact:
> There is no impact at the moment as we're just adding the infrastructure
> to enable the 2.6.37 compat-wireless stack. We will wait to actually
> enable and build it until 2.6.37 is final. However, once we do enable
> this, linux-backports-modules is an elective install and a 2.6.37
> compat-wireless update hasn't existed previously, so there should be no
> risk of regression.
>
> Test Case: Flip the bit to build the compat-wireless-2.6.37 stack in the
> linux-backports-modules package and confirm that a 2.6.37
> compat-wireless binary is created.
>
> I'd like to note that I've generated this on top of the previously
> submitted pull request from myself which adds support for the
> 2.6.36 compat-wireless stack to Lucid LBM [1].
>
> Thanks,
> Leann
>
> [1] https://lists.ubuntu.com/archives/kernel-team/2010-November/013351.html
>
> The following changes since commit f0721f5a15503921a56b05c2d5b22738e09939f8:
>
>    UBUNTU: Add compat-wireless-2.6.36 (2010-11-08 11:53:52 -0800)
>
> are available in the git repository at:
>    git://kernel.ubuntu.com/ogasawara/ubuntu-lucid-lbm.git compat-wireless-2.6.37
>
> Leann Ogasawara (1):
>        UBUNTU: Add compat-wireless-2.6.37
>
>

pulled and pushed